package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Pms;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Mapper
public interface PmsMapper {

    int insert(Pms record);

    int insertSelective(Pms record);

    int updateByPrimaryKeySelective(Pms record);

    int updateByPrimaryKey(Pms record);

    int deleteByPrimaryKey(Pms record);

    int deleteByIds(Collection<Object> collection);

    Pms selectByPrimaryKey(Pms record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Pms> dyncRead(Map<String, Object> dyncMap);

    Pms selectByWhere(Pms record);

    int updatePrmstaBySyscd(Pms record);

    List<Pms> selectByPSM(@Param("ptcptbk") String ptcptbk, @Param("sndrcv") String sndrcv, @Param("msgtyp") String msgtyp);

}